| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IParticleFadeOutAffector Class Reference

A particle affector which fades out the particles. More...

`#include <IParticleFadeOutAffector.h>`

Inheritance diagram for irr::scene::IParticleFadeOutAffector:

List of all members.

## Public Member Functions

- virtual u32 getFadeOutTime () const =0
    Gets the time in milliseconds it takes for each particle to fade out.
- virtual const video::SColor & getTargetColor () const =0
    Gets the targetColor, i.e. the color the particles will interpolate to over time.
- virtual E_PARTICLE_AFFECTOR_TYPE getType () const
    Get emitter type.
- virtual void setFadeOutTime (u32 fadeOutTime)=0
    Sets the time in milliseconds it takes for each particle to fade out (minimal 1 ms)
- virtual void setTargetColor (const video::SColor &targetColor)=0
    Sets the targetColor, i.e. the color the particles will interpolate to over time.

## Detailed Description

A particle affector which fades out the particles.

Definition at line 16 of file IParticleFadeOutAffector.h.

## Member Function Documentation

virtual u32 irr::scene::IParticleFadeOutAffector::getFadeOutTime | ( |  | ) | const`[pure virtual]`

Gets the time in milliseconds it takes for each particle to fade out.

virtual const video::SColor& irr::scene::IParticleFadeOutAffector::getTargetColor | ( |  | ) | const`[pure virtual]`

Gets the targetColor, i.e. the color the particles will interpolate to over time.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleFadeOutAffector::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 33 of file IParticleFadeOutAffector.h.

References irr::scene::EPAT_FADE_OUT.

virtual void irr::scene::IParticleFadeOutAffector::setFadeOutTime | ( | u32 | fadeOutTime | ) | `[pure virtual]`

Sets the time in milliseconds it takes for each particle to fade out (minimal 1 ms)

virtual void irr::scene::IParticleFadeOutAffector::setTargetColor | ( | const video::SColor & | targetColor | ) | `[pure virtual]`

Sets the targetColor, i.e. the color the particles will interpolate to over time.

The documentation for this class was generated from the following file:

- IParticleFadeOutAffector.h